﻿<?xml version="1.0" encoding="UTF-8"?>  

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:jmp20="http://zgate.gsi.go.jp/ch/jmp/" 
 version="1.0">
<xsl:output method="html" encoding="UTF-8"/>

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:language/jmp20:isoCode">

	<xsl:choose>
		<xsl:when test=".='jpn'" >日本語</xsl:when>
		<xsl:when test=".='eng'" >英語</xsl:when>
		<xsl:when test=".='fre'" >フランス語</xsl:when>
		<xsl:when test=".='ger'" >ドイツ語</xsl:when>
		<xsl:when test=".='chi'" >中国語</xsl:when>
		<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
	</xsl:choose>

</xsl:template>
<!-- //languageCode -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="dataLang">

	<xsl:choose>
		<xsl:when test=".='jpn'" >日本語</xsl:when>
		<xsl:when test=".='eng'" >英語</xsl:when>
		<xsl:when test=".='fre'" >フランス語</xsl:when>
		<xsl:when test=".='ger'" >ドイツ語</xsl:when>
		<xsl:when test=".='chi'" >中国語</xsl:when>
		<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
	</xsl:choose>

</xsl:template>
<!-- //dataLang -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:role">

	<xsl:choose>
		<xsl:when test=".='resourceProvider'">情報資源提供者</xsl:when>
		<xsl:when test=".='custodian'">管理者</xsl:when>
		<xsl:when test=".='owner'">所有者</xsl:when>
		<xsl:when test=".='user'">利用者</xsl:when>
		<xsl:when test=".='distributor'">配布者</xsl:when>
		<xsl:when test=".='originator'">創作者</xsl:when>
		<xsl:when test=".='pointOfContact'">問合せ先</xsl:when>
		<xsl:when test=".='principalInvestigator'">主要な調査担当者</xsl:when>
		<xsl:when test=".='processor'">処理担当者</xsl:when>
		<xsl:when test=".='publisher'">刊行者</xsl:when>
		<xsl:when test=".='author'">著作者</xsl:when>
		<xsl:when test=".='001'">情報資源提供者</xsl:when>
		<xsl:when test=".='002'">管理者</xsl:when>
		<xsl:when test=".='003'">所有者</xsl:when>
		<xsl:when test=".='004'">利用者</xsl:when>
		<xsl:when test=".='005'">配布者</xsl:when>
		<xsl:when test=".='006'">創作者</xsl:when>
		<xsl:when test=".='007'">問合せ先</xsl:when>
		<xsl:when test=".='008'">主要な調査担当者</xsl:when>
		<xsl:when test=".='009'">処理担当者</xsl:when>
		<xsl:when test=".='010'">刊行者</xsl:when>
		<xsl:when test=".='011'">著作者</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:dateType">

	<xsl:choose>
		<xsl:when test=".='001'">作成日</xsl:when>
		<xsl:when test=".='002'">刊行日</xsl:when>
		<xsl:when test=".='003'">改訂日</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //refDateType/DateTypCd -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template name="SpatRepTypCd">

	<xsl:choose>
		<xsl:when test=".='001'">ベクトル</xsl:when>
		<xsl:when test=".='002'">グリッド</xsl:when>
		<xsl:when test=".='003'">テキスト表形式</xsl:when>
		<xsl:when test=".='004'">不規則三角形ネットワーク</xsl:when>
		<xsl:when test=".='005'">ステレオモデル</xsl:when>
		<xsl:when test=".='006'">ビデオ</xsl:when>
		<xsl:otherwise><xsl:value-of select="." /></xsl:otherwise>
	</xsl:choose>

</xsl:template>
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:topicCategory">

	<xsl:choose>
		<xsl:when test=".='001'">農業</xsl:when>
		<xsl:when test=".='002'">生物相</xsl:when>
		<xsl:when test=".='003'">境界</xsl:when>
		<xsl:when test=".='004'">気象</xsl:when>
		<xsl:when test=".='005'">経済</xsl:when>
		<xsl:when test=".='006'">高さ</xsl:when>
		<xsl:when test=".='007'">環境</xsl:when>
		<xsl:when test=".='008'">地球科学の情報</xsl:when>
		<xsl:when test=".='009'">健康</xsl:when>
		<xsl:when test=".='010'">全地球基本地図画像</xsl:when>
		<xsl:when test=".='011'">軍事情報</xsl:when>
		<xsl:when test=".='012'">陸水</xsl:when>
		<xsl:when test=".='013'">位置</xsl:when>
		<xsl:when test=".='014'">大洋</xsl:when>
		<xsl:when test=".='015'">土地台帳計画</xsl:when>
		<xsl:when test=".='016'">社会</xsl:when>
		<xsl:when test=".='017'">構造物</xsl:when>
		<xsl:when test=".='018'">運輸</xsl:when>
		<xsl:when test=".='019'">公共事業・通信</xsl:when>
		<xsl:when test=".='farming'">農業</xsl:when>
		<xsl:when test=".='biota'">生物相</xsl:when>
		<xsl:when test=".='boundaries'">境界</xsl:when>
		<xsl:when test=".='climatologyMeteorologyAtmosphere'">気象</xsl:when>
		<xsl:when test=".='economy'">経済</xsl:when>
		<xsl:when test=".='elevation'">高さ</xsl:when>
		<xsl:when test=".='environment'">環境</xsl:when>
		<xsl:when test=".='geoscientificInformation'">地球科学の情報</xsl:when>
		<xsl:when test=".='health'">健康</xsl:when>
		<xsl:when test=".='imageryBaseMapsEarthCover'">全地球基本地図画像</xsl:when>
		<xsl:when test=".='intelligenceMilitary'">軍事情報</xsl:when>
		<xsl:when test=".='inlandWaters'">陸水</xsl:when>
		<xsl:when test=".='location'">位置</xsl:when>
		<xsl:when test=".='oceans'">大洋</xsl:when>
		<xsl:when test=".='planningCadastre'">土地台帳計画</xsl:when>
		<xsl:when test=".='society'">社会</xsl:when>
		<xsl:when test=".='structure'">構造物</xsl:when>
		<xsl:when test=".='transportation'">運輸</xsl:when>
		<xsl:when test=".='utilitiesCommunication'">公共事業・通信</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //TopicCatCd -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template name="ScopeLevel">

	<xsl:choose>
		<xsl:when test=".='attribute'">属性</xsl:when>
		<xsl:when test=".='attributeType'">属性型</xsl:when>
		<xsl:when test=".='collectionhardware'">収集用機器</xsl:when>
		<xsl:when test=".='collectionSession'">収集作業</xsl:when>
		<xsl:when test=".='dataset'">データ集合</xsl:when>
		<xsl:when test=".='series'">シリーズ</xsl:when>
		<xsl:when test=".='nonGeographicDataset'">非地理データ</xsl:when>
		<xsl:when test=".='dimensionGroup'">次元グループ</xsl:when>
		<xsl:when test=".='feature'">地物</xsl:when>
		<xsl:when test=".='featureType'">地物型</xsl:when>
		<xsl:when test=".='propertyType'">特質の型</xsl:when>
		<xsl:when test=".='fieldSession'">現場作業</xsl:when>
		<xsl:when test=".='software'">ソフトウェア</xsl:when>
		<xsl:when test=".='service'">サービス</xsl:when>
		<xsl:when test=".='model'">モデル</xsl:when>
		<xsl:when test=".='tile'">タイル</xsl:when>
		<xsl:when test=".='001'">属性</xsl:when>
		<xsl:when test=".='002'">属性型</xsl:when>
		<xsl:when test=".='003'">収集用機器</xsl:when>
		<xsl:when test=".='004'">収集作業</xsl:when>
		<xsl:when test=".='005'">データ集合</xsl:when>
		<xsl:when test=".='006'">シリーズ</xsl:when>
		<xsl:when test=".='007'">非地理データ</xsl:when>
		<xsl:when test=".='008'">次元グループ</xsl:when>
		<xsl:when test=".='009'">地物</xsl:when>
		<xsl:when test=".='010'">地物型</xsl:when>
		<xsl:when test=".='011'">特質の型</xsl:when>
		<xsl:when test=".='012'">現場作業</xsl:when>
		<xsl:when test=".='013'">ソフトウェア</xsl:when>
		<xsl:when test=".='014'">サービス</xsl:when>
		<xsl:when test=".='015'">モデル</xsl:when>
		<xsl:when test=".='016'">タイル</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //mdHrLv -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:scope/jmp20:level">

	<xsl:choose>
		<xsl:when test=".='attribute'">属性</xsl:when>
		<xsl:when test=".='attributeType'">属性型</xsl:when>
		<xsl:when test=".='collectionhardware'">収集用機器</xsl:when>
		<xsl:when test=".='collectionSession'">収集作業</xsl:when>
		<xsl:when test=".='dataset'">データ集合</xsl:when>
		<xsl:when test=".='series'">シリーズ</xsl:when>
		<xsl:when test=".='nonGeographicDataset'">非地理データ</xsl:when>
		<xsl:when test=".='dimensionGroup'">次元グループ</xsl:when>
		<xsl:when test=".='feature'">地物</xsl:when>
		<xsl:when test=".='featureType'">地物型</xsl:when>
		<xsl:when test=".='propertyType'">特質の型</xsl:when>
		<xsl:when test=".='fieldSession'">現場作業</xsl:when>
		<xsl:when test=".='software'">ソフトウェア</xsl:when>
		<xsl:when test=".='service'">サービス</xsl:when>
		<xsl:when test=".='model'">モデル</xsl:when>
		<xsl:when test=".='001'">属性</xsl:when>
		<xsl:when test=".='002'">属性型</xsl:when>
		<xsl:when test=".='003'">収集用機器</xsl:when>
		<xsl:when test=".='004'">収集作業</xsl:when>
		<xsl:when test=".='005'">データ集合</xsl:when>
		<xsl:when test=".='006'">シリーズ</xsl:when>
		<xsl:when test=".='007'">非地理データ</xsl:when>
		<xsl:when test=".='008'">次元グループ</xsl:when>
		<xsl:when test=".='009'">地物</xsl:when>
		<xsl:when test=".='010'">地物型</xsl:when>
		<xsl:when test=".='011'">特質の型</xsl:when>
		<xsl:when test=".='012'">現場作業</xsl:when>
		<xsl:when test=".='013'">ソフトウェア</xsl:when>
		<xsl:when test=".='014'">サービス</xsl:when>
		<xsl:when test=".='015'">モデル</xsl:when>
		<xsl:when test=".='016'">タイル</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //dqScope/scpLvl/ScopeCd -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template name="idStatus">

	<xsl:choose>
		<xsl:when test=".='001'">完成</xsl:when>
		<xsl:when test=".='002'">古文書</xsl:when>
		<xsl:when test=".='003'">廃棄</xsl:when>
		<xsl:when test=".='004'">進行中</xsl:when>
		<xsl:when test=".='005'">計画済み</xsl:when>
		<xsl:when test=".='006'">要求中</xsl:when>
		<xsl:when test=".='007'">作業中</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //status -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:name">

	<xsl:choose>
		<xsl:when test=".='001'">CD-ROM</xsl:when>
		<xsl:when test=".='002'">DVD</xsl:when>
		<xsl:when test=".='003'">DVD-ROM</xsl:when>
		<xsl:when test=".='004'">3.5インチFD</xsl:when>
		<xsl:when test=".='005'">5.25インチFD</xsl:when>
		<xsl:when test=".='006'">7トラック磁気テープ</xsl:when>
		<xsl:when test=".='007'">9トラック磁気テープ</xsl:when>
		<xsl:when test=".='008'">3480のカセットテープドライブ</xsl:when>
		<xsl:when test=".='009'">3490のカセットテープドライブ</xsl:when>
		<xsl:when test=".='010'">3580のカセットテープドライブ</xsl:when>
		<xsl:when test=".='011'">4ミリ磁気テープ</xsl:when>
		<xsl:when test=".='012'">8ミリ磁気テープ</xsl:when>
		<xsl:when test=".='013'">0.25インチ磁気テープ</xsl:when>
		<xsl:when test=".='014'">半インチカートリッジストリームテープドライブ</xsl:when>
		<xsl:when test=".='015'">オンライン</xsl:when>
		<xsl:when test=".='016'">衛星通信</xsl:when>
		<xsl:when test=".='017'">電話回線</xsl:when>
		<xsl:when test=".='018'">非デジタル媒体</xsl:when>
		<xsl:when test=".='019'">MO</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //medName -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:type">

	<xsl:choose>
		<xsl:when test=".='001'">学問分野</xsl:when>
		<xsl:when test=".='002'">場所</xsl:when>
		<xsl:when test=".='003'">層</xsl:when>
		<xsl:when test=".='004'">時間</xsl:when>
		<xsl:when test=".='005'">主題</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //keyTypCd -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="dataChar">

	<xsl:choose>
		<xsl:when test=".='001'">ucs2</xsl:when>
		<xsl:when test=".='002'">ucs4</xsl:when>
		<xsl:when test=".='003'">utf7</xsl:when>
		<xsl:when test=".='004'">utf8</xsl:when>
		<xsl:when test=".='005'">utf16</xsl:when>
		<xsl:when test=".='006'">8859part1</xsl:when>
		<xsl:when test=".='007'">8859part2</xsl:when>
		<xsl:when test=".='008'">8859part3</xsl:when>
		<xsl:when test=".='009'">8859part4</xsl:when>
		<xsl:when test=".='010'">8859part5</xsl:when>
		<xsl:when test=".='011'">8859part6</xsl:when>
		<xsl:when test=".='012'">8859part7</xsl:when>
		<xsl:when test=".='013'">8859part8</xsl:when>
		<xsl:when test=".='014'">8859part9</xsl:when>
		<xsl:when test=".='015'">8859part10</xsl:when>
		<xsl:when test=".='016'">8859part11</xsl:when>
		<xsl:when test=".='017'">(reserved for future use)</xsl:when>
		<xsl:when test=".='018'">8859part13</xsl:when>
		<xsl:when test=".='019'">8859part14</xsl:when>
		<xsl:when test=".='020'">8859part15</xsl:when>
		<xsl:when test=".='021'">8859part16</xsl:when>
		<xsl:when test=".='022'">jis</xsl:when>
		<xsl:when test=".='023'">shiftJIS</xsl:when>
		<xsl:when test=".='024'">eucJP</xsl:when>
		<xsl:when test=".='025'">usAscii</xsl:when>
		<xsl:when test=".='026'">ebcdic</xsl:when>
		<xsl:when test=".='027'">eucKR</xsl:when>
		<xsl:when test=".='028'">big5</xsl:when>
		<xsl:when test=".='029'">GB2312</xsl:when>
		<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
	</xsl:choose>

</xsl:template>
<!-- //dataChar -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:characterSet">

	<xsl:choose>
		<xsl:when test=".='004'">utf8</xsl:when>
		<xsl:when test=".='005'">utf16</xsl:when>
		<xsl:when test=".='022'">jis</xsl:when>
		<xsl:when test=".='023'">shiftJIS</xsl:when>
		<xsl:when test=".='024'">eucJP</xsl:when>
		<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
	</xsl:choose>

</xsl:template>
<!-- //mdChar -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:extentTypeCode">

	<xsl:choose>
		<xsl:when test=".='0'">外側</xsl:when>
		<xsl:when test=".='1'">内側</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //exTypCd -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:typeOfQualityEvaluation">

	<xsl:choose>
		<xsl:when test=".='001'">完全性/過剰</xsl:when>
		<xsl:when test=".='002'">完全性/漏れ</xsl:when>
		<xsl:when test=".='003'">論理一貫性/概念一貫性</xsl:when>
		<xsl:when test=".='004'">論理一貫性/定義域一貫性</xsl:when>
		<xsl:when test=".='005'">論理一貫性/書式一貫性</xsl:when>
		<xsl:when test=".='006'">論理一貫性/位相一貫性</xsl:when>
		<xsl:when test=".='007'">位置正確度/絶対正確度又は外部正確度</xsl:when>
		<xsl:when test=".='008'">位置正確度/グリッドデータ位置正確度</xsl:when>
		<xsl:when test=".='009'">位置正確度/相対正確度又は内部正確度</xsl:when>
		<xsl:when test=".='010'">時間精度/時間測定精度</xsl:when>
		<xsl:when test=".='011'">時間精度/時間一貫性</xsl:when>
		<xsl:when test=".='012'">時間精度/時間妥当性</xsl:when>
		<xsl:when test=".='013'">分類正確度/分類の正しさ</xsl:when>
		<xsl:when test=".='014'">分類正確度/非定量的属性の正しさ</xsl:when>
		<xsl:when test=".='015'">分類正確度/定量的属性の正確度</xsl:when>
		<xsl:when test=".='016'"></xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //typeQuanEval -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:pass">

	<xsl:choose>
		<xsl:when test=".='0'">不合格</xsl:when>
		<xsl:when test=".='1'">合格</xsl:when>
	</xsl:choose>

</xsl:template>
<!-- //conPass -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:country">

	<xsl:choose>
		<xsl:when test=".='jpn'" >日本</xsl:when>
		<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
	</xsl:choose>

</xsl:template>
<!-- //country -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

</xsl:stylesheet>