﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xsi:schemaLocation="http://zgate.gsi.go.jp/ch/jmp/  JMP20_prototype_shortTag.xsd" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:jmp20="http://zgate.gsi.go.jp/ch/jmp/" 
	xmlns:xlink="http://www.w3.org/1999/xlink" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	version="1.0">
<xsl:include href="Code.xsl"/>
<xsl:output method="html" encoding="UTF-8"/>


<xsl:template match = "/">

	<HTML>
	<HEAD>
		<TITLE>メタデータレイアウト印刷</TITLE>
		<!-- METAセクション -->
		<META name="Author" content="GSI"/>
		<META name="description" content="JMP2.0 Viewing XSLT Layout"/>
		<META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<META http-equiv="Content-Style-Type" content="text/css"/>
		<!-- Stylesheetの設定 -->
		<!--
		<LINK rel="stylesheet" type="text/css" href="print.css" />
		-->
		<STYLE>
			/*	-- A --	*/
			/*メインページのリンクテキスト*/
			 A.main:link {color:blue;}
			 A.main:visited {color:purple;}
			 A.main:active {color:red;}
			 A.main:hover {color:red;}

			/*メニューのリンクテキスト*/
			 A.menu {font-size:100%;}
			 A.menu:link {color:white;}
			 A.menu:visited {color:white;}
			 A.menu:active {color:#CCFFFF;}
			 A.menu:hover {color:yellow;}

			/*メニューのリンクテキスト（項目名）*/
			 A.menu_title {font-size:110%;font-weight:bold;margin:0 0 0 0;}
			 A.menu_title:link {color:white;}
			 A.menu_title:visited {color:white;}
			 A.menu_title:active {color:#CCFFFF;}
			 A.menu_title:hover {color:yellow;}

			/*メインページのサブタイトル（アクティブページ以外）*/
			 A.subtitle {font-size:80%;font-weight:bold;margin:0 0 0 0;}
			 A.subtitle:link {color:blue;}
			 A.subtitle:visited {color:blue;}
			 A.subtitle:active {color:#3366FF;}
			 A.subtitle:hover {color:red;}

			/*メインページのサブタイトル（アクティブページ）*/
			 A.subtitle_active {font-size:80%;font-weight:bold;margin:0 0 0 0;}
			 A.subtitle_active:link {color:#FFFFFF;}
			 A.subtitle_active:visited {color:#FFFFFF;}
			 A.subtitle_active:active {color:#FFFFFF;}
			 A.subtitle_active:hover {color:#C0FFFF;}

			/*	-- BODY --	*/
			/*トップページ*/
			 BODY.top {margin:0 0 0 0;font-size: 80%;background-color:#FFFFFF;}

			/*メインページ*/
			 BODY.main {background-color:#FFFFFF;}

			/*メニューページ*/
			 BODY.menu {background-color:#FFFFC6;}

			/*	-- TABLE --	*/
			/*メインページのメインテーブル*/
			 TABLE.main {margin:0 0 10 30;padding:0 0 0 0;font-size: small;width:95%;}
			 TD.main1 {width:70%;}
			 TD.main2 {width:30%;vertical-align:bottom;}

			/*メインページのコンテンツテーブル*/
			 TABLE.contents {margin:0 0 0 0;padding:0 0 0 0;font-size: small;background-color: #FFFFC6;border:1px solid #FF8833;width:90%;}
			 TD.contents_main {height:50px;}
			 TD.corner {width:19px;height:19px;}
			 TD.end_top {width:100%;border-top:1px solid #FF8833;margin:0 0 0 0;padding:0 0 0 0;}
			 TD.end_left {border-left:1px solid #FF8833;margin:0 0 0 0;padding:0 0 0 0;}
			 TD.end_right {border-right:1px solid #FF8833;margin:0 0 0 0;padding:0 0 0 0;}
			 TD.end_bottom {border-bottom:1px solid #FF8833;margin:0 0 0 0;padding:0 0 0 0;}

			/*メニューページ*/
			 TABLE.contents_menu {margin:0 0 0 0;padding:0 0 0 0;font-size: x-small;background-color: #FFFFC6;border-style:none;width:90%;}
			 TD.contents_menu {height:50px;}

			/*  --IMG--*/
			 IMG {border-style:none;margin:0 0 0 0;}

			/*メインページタイトル*/
			 IMG.title{border-style:none;margin:10 10 10 10;}

			/*	-- HR --	*/
			HR.skyblue{color:#3366FF;margin:0pt 0pt 0pt 5pt;width:90%;text-align:left;}
			HR.orange {color : #F4AC00;width : 100%;}
			HR.separator1 {color : #3366FF;width : 100%;}

			/*  --DIV--  */
			DIV.result_title{margin-left:15pt;margin-top:0pt;font-weight:bold;color:blue;}
			DIV.result_other{margin-left:30pt;margin-top:5pt;margin-bottom:5pt;font-weight:nomal;}
			DIV.result_other{margin-left:30pt;margin-top:5pt;margin-bottom:5pt;font-weight:nomal;}

			/*	-- 全般 --	*/
			 .indent {margin-left:20px;}
			 .center {text-align:center;}
			 .right {text-align:right;}
			 .login {line-height:18pt;font-size:large;}
			 .subtitle1{font-weight:bold;font-size:large;}
			 .subtitle2{margin-left:20pt;color:#333333;font-size:large;font-weight:bold;}
			 .Dataname{font-size : 120%;font-weight : bold;color : #000080;}

			/*検索ページ用*/

			TABLE {width : 100%;}
			.page_title {font-style : normal;font-weight : bold;font-size : 120%;color : blue;}
			.table_header {text-align : left;font-style : normal;font-weight : bold;font-size : medium;color : #FFFFFF;}
			.table_header2 {text-align : left;font-style : normal;font-weight : bold;font-size : medium;color : #400000;}
			.search_desc {font-style : normal;font-weight : normal;font-size : small;color : #FFFFFF;}
			table.search {background-color : #3366FF}
			table.search2 {background-color : #F4AC00;width:95%;}
			table.result {background-color : #000080;}
			.inputcell {font-weight : normal;background-color : #EFFFFF;padding-top : 10pt;padding-bottom : 10pt;}
			.inputcell2 {font-weight : normal;background-color : #FFFFCC;padding-top : 10pt;padding-bottom : 10pt;}
			.contentscell {font-family : "ＭＳ Ｐゴシック";font-weight : normal;background-color : #ffffff;text-align : left;color : black;}.categorycell {text-align : left;color : #000080;background-color : #FFFFCC;border-left : medium #000080;border-bottom : medium #000080;width : 200px;}
			.categorycell2 {text-align : left;color : #000080;background-color : #FFFFCC;border-left : medium #000080;border-bottom : medium #000080;width : 75px;}
			.categorycell3 {text-align : left;color : #000080;background-color : #FFFFCC;border-left : medium #000080;border-bottom : medium #000080;width : 125px;}

			/*検索結果一覧*/
			.list_title{font-size : small;font-weight : bold;color : #000080;}
			.list_contents{font-size : small;margin-left : 10pt;}
			.list_abstract{font-size : 85%;margin-left : 20pt;}
		</STYLE>
		
	</HEAD>

	<BODY>
		<!-- ページのタイトル -->
		<SPAN class="page_title">JMP2.0　レイアウト印刷</SPAN><BR/>
		<HR class="orange"/>
		<BR/>

		<!-- Apply Template ++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
		<xsl:apply-templates select = "jmp20:MD_Metadata" />
		<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++ Apply Template -->

		<BR/>
		</BODY>
	</HTML>

</xsl:template>


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<xsl:template match="jmp20:MD_Metadata">

<!--全体-->
<!--データ名称-->
	<DIV class="Dataname">
	【ファイル名称】：<xsl:value-of select="jmp20:fileIdentifier" />
	</DIV>
<BR/>

<!-- メタデータの基本情報 [MD_Metadata]-->
<DIV class="center">
<TABLE class="search">
<TR>
	<TD class="table_header">メタデータの情報　[MD_Metadata]

	<DIV class="right">
	<TABLE>

		<TR>
			<TD class="categorycell" colspan="2">ファイル識別子：</TD>
			<TD class="contentscell"><xsl:value-of select="jmp20:fileIdentifier" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">言語：</TD>
			<TD class="contentscell"><xsl:apply-templates select="jmp20:language/jmp20:isoCode" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">文字集合：</TD>
			<TD class="contentscell"><xsl:apply-templates select="jmp20:characterSet" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">親識別子：</TD>
			<TD class="contentscell"><xsl:value-of select="jmp20:parentIdentifier" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">階層レベル：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:hierarchyLevel">
					<xsl:call-template name="ScopeLevel" />　
				</xsl:for-each>
			</TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">階層レベルの名称：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:hierarchyLevelName">
					<xsl:value-of select="." />　
				</xsl:for-each>
			</TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">日付：</TD>
			<TD class="contentscell"><xsl:value-of select="jmp20:dateStamp" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">メタデータ標準の名称：</TD>
			<TD class="contentscell"><xsl:value-of select="jmp20:metadataStandardName" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">メタデータ標準の版：</TD>
			<TD class="contentscell"><xsl:value-of select="jmp20:metadataStandardVersion" /></TD>
		</TR>
	

	<!--問合せ先-->
		<xsl:apply-templates select = "jmp20:contact" />
		
	</TABLE>
	</DIV>

	</TD>
</TR>
</TABLE>

</DIV>

<!-- 参照系情報 -->
<xsl:if test="count(jmp20:referenceSystemInfo)!=0">
	<!-- Apply Template ++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<xsl:apply-templates select = "jmp20:referenceSystemInfo" />
	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++ Apply Template -->
</xsl:if>

<!-- データ識別情報 -->
	<!-- Apply Template ++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<xsl:apply-templates select = "jmp20:identificationInfo" />
	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++ Apply Template -->

<!-- 配布情報 -->
<xsl:if test="count(jmp20:distributionInfo)!=0">
	<!-- Apply Template ++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<xsl:apply-templates select = "jmp20:distributionInfo" />
	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++ Apply Template -->
</xsl:if>

<!-- データ品質情報 -->
<xsl:if test="count(jmp20:dataQualityInfo)!=0">
	<!-- Apply Template ++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<xsl:apply-templates select = "jmp20:dataQualityInfo" />
	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++ Apply Template -->
</xsl:if>

</xsl:template>
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<!-- 識別情報 -->
<xsl:template match="jmp20:identificationInfo/jmp20:MD_DataIdentification">

<xsl:for-each select=".">

<HR class="separator1" />

<DIV class="center">
<TABLE class="search">
<TR>
	<TD class="table_header">識別情報　[MD_DataIdentification]

	<DIV class="right">

	<TABLE>
	
		<!-- 引用 -->
		<TR>
			<TD class="categorycell" colspan="2">引用：</TD>
			<TD class="contentscell">
				題名：<xsl:value-of select="jmp20:citation/jmp20:title" /><BR/>
				<xsl:for-each select="jmp20:citation/jmp20:date">
					　<xsl:apply-templates select="jmp20:dateType" />：
					<xsl:value-of select="jmp20:date" /><BR/>
				</xsl:for-each>
			</TD>
		</TR>

	<!-- 要約 -->
		<TR>
			<TD class="categorycell" colspan="2">要約 ：</TD>
			<TD class="contentscell"><xsl:value-of select="jmp20:abstract" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">目的 ：</TD>
			<TD class="contentscell"><xsl:value-of select="jmp20:purpose" /></TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">状態 ：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:status">
					<xsl:call-template name="idStatus" />　
				</xsl:for-each>
			</TD>
		</TR>

	<!--問合せ先-->
	<xsl:apply-templates select="jmp20:pointOfContact"/>

	<!--概要図-->
	<xsl:for-each select="jmp20:graphicOverview/jmp20:MD_BrowseGraphic">
		<TR>
			<TD class="categorycell2" rowspan="3">概要の図示</TD>
			<TD class="categorycell3">ファイル名：</TD>
			<TD class="contentscell">
				<xsl:value-of select="jmp20:fileName" />　
			</TD>
		</TR>
		
			<TR>
				<TD class="categorycell3">ファイル記述：</TD>
				<TD class="contentscell">
					<xsl:value-of select="jmp20:fileDescription" />
				</TD>
			</TR>
			<TR>
				<TD class="categorycell3">ファイル型：</TD>
				<TD class="contentscell">
					<xsl:value-of select="jmp20:fileType" />
				</TD>
			</TR>
	</xsl:for-each>
	
	<!--キーワード-->
	<xsl:for-each select="jmp20:descriptiveKeywords/jmp20:MD_Keywords">
		<TR>
			<TD class="categorycell2" rowspan="2">記述的なキーワード</TD>
			<TD class="categorycell3">キーワード：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:keyword">
					<xsl:value-of select="." />　
				</xsl:for-each>
			</TD>
		</TR>
			<TR>
				<TD class="categorycell3">型：</TD>
				<TD class="contentscell">
					<xsl:apply-templates select="jmp20:type" />
				</TD>
			</TR>
	</xsl:for-each>

	<!--制約-->
	<xsl:for-each select="jmp20:resourceConstraints/jmp20:MD_Constraints">
		<TR>
			<TD class="categorycell" colspan="2">情報資源の制約：</TD>
			<TD class="contentscell">
				<xsl:value-of select = "jmp20:useLimitation" />

			</TD>
		</TR>
	</xsl:for-each>

	<!-- 空間表現型 -->
	<xsl:if test="count(jmp20:spatialRepresentationType)!=0">
		<TR>
			<TD class="categorycell" colspan="2">空間表現型：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:spatialRepresentationType">
					<xsl:call-template name = "SpatRepTypCd" />　
				</xsl:for-each>
			</TD>
		</TR>
	</xsl:if>

	<!-- 空間解像度 -->
	<xsl:if test="count(jmp20:spatialResolution)!=0">
		<TR>
			<TD class="categorycell" colspan="2">空間解像度：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:spatialResolution">
					<xsl:if test="count(jmp20:equivalentScale)!=0">
						等価縮尺：　1/<xsl:value-of select="jmp20:equivalentScale/jmp20:denominator" /><BR/>
					</xsl:if>
					<xsl:if test="count(jmp20:distance)!=0">
						距離：　<xsl:value-of select="jmp20:distance/jmp20:value" />　
						<xsl:value-of select="jmp20:distance/jmp20:uom/jmp20:UnitOfMeasure/jmp20:name" />
					</xsl:if>
				</xsl:for-each>
			</TD>
		</TR>
	</xsl:if>
	
	<!-- 言語 -->
		<TR>
			<TD class="categorycell" colspan="2">言語：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:language">
					<xsl:apply-templates select = "." />　
				</xsl:for-each>
			</TD>
		</TR>

	<!-- 文字集合 -->
		<TR>
			<TD class="categorycell" colspan="2">文字集合：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:characterSet">
					<xsl:apply-templates select = "." />　
				</xsl:for-each>
			</TD>
		</TR>

	<!-- 主題分類 -->
		<TR>
			<TD class="categorycell" colspan="2">主題分類：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:topicCategory">
					<xsl:apply-templates select = "." />　
				</xsl:for-each>
<!--
				<xsl:for-each select="otherTpCat">
					<xsl:value-of select = "." />　
				</xsl:for-each>
-->
			</TD>
		</TR>

	<!-- 範囲 -->
	<xsl:apply-templates select="jmp20:extent"/>
		
	</TABLE>
	</DIV>

	</TD>
</TR>
</TABLE>

</DIV>
</xsl:for-each>

</xsl:template>
<!-- //識別情報 -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<!-- EX_EXTENT -->
	<!-- 範囲 -->
	<xsl:template match="jmp20:extent">
	<xsl:if test="count(.)!=0">
		<xsl:for-each select=".">
			<xsl:call-template name="EX_Extent"/>
		</xsl:for-each>
	</xsl:if>
	</xsl:template>

	<xsl:template match="scpExt">
	<xsl:if test="count(.)!=0">
		<xsl:for-each select=".">
			<xsl:call-template name="EX_Extent"/>
		</xsl:for-each>
	</xsl:if>
	</xsl:template>

	<xsl:template name="EX_Extent">
		<TR>
			<TD class="categorycell2" colspan="3">範囲情報</TD>
		</TR>
		
		<TR>
			<TD class="categorycell" colspan="2">　　記述：</TD>
			<TD class="contentscell">
					<xsl:value-of select="jmp20:description" />
			</TD>
		</TR>

	<!-- 地理ボックス -->
	<xsl:if test="count(jmp20:geographicElement/jmp20:EX_GeographicBoundingBox)!=0">
		<xsl:for-each select="jmp20:geographicElement/jmp20:EX_GeographicBoundingBox">
		<TR>
			<TD class="categorycell" colspan="2">　　地理境界ボックス：</TD>
			<TD class="contentscell">
					参照系識別子：<xsl:value-of select="jmp20:extentReferenceSystem/jmp20:code" /><BR/>
					範囲型コード　：<xsl:apply-templates select="jmp20:extentTypeCode" /><BR/>
					　西側境界経度：<xsl:value-of select="jmp20:westBoundLongitude" /><BR/>
					　東側境界経度：<xsl:value-of select="jmp20:eastBoundLongitude" /><BR/>
					　南側境界緯度：<xsl:value-of select="jmp20:southBoundLatitude" /><BR/>
					　北側境界緯度：<xsl:value-of select="jmp20:northBoundLatitude" /><BR/>
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

	<!-- 座標ボックス -->
	<xsl:if test="count(jmp20:geographicElement/jmp20:EX_CoordinateBoundingBox)!=0">
		<xsl:for-each select="jmp20:geographicElement/jmp20:EX_CoordinateBoundingBox">
		<TR>
			<TD class="categorycell" colspan="2">　　座標境界ボックス：</TD>
			<TD class="contentscell">
					参照系識別子：<xsl:value-of select="jmp20:extentReferenceSystem/jmp20:code" /><BR/>
					範囲型コード　：<xsl:apply-templates select="jmp20:extentTypeCode" /><BR/>
					　西側境界座標：<xsl:value-of select="jmp20:westBoundCoordinate" /><BR/>
					　東側境界座標：<xsl:value-of select="jmp20:eastBoundCoordinate" /><BR/>
					　南側境界座標：<xsl:value-of select="jmp20:southBoundCoordinate" /><BR/>
					　北側境界座標：<xsl:value-of select="jmp20:northBoundCoordinate" /><BR/>
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

	<!-- ポリゴン -->
	<xsl:if test="count(jmp20:geographicElement/jmp20:EX_BoundingPolygon)!=0">
		<xsl:for-each select="jmp20:geographicElement/jmp20:EX_BoundingPolygon">
		<TR>
			<TD class="categorycell" colspan="2">　　境界ポリゴン：</TD>
			<TD class="contentscell">
					参照系識別子：<xsl:value-of select="jmp20:extentReferenceSystem/jmp20:code" /><BR/>
					範囲型コード　：<xsl:apply-templates select="jmp20:extentTypeCode" /><BR/>
					<xsl:for-each select="jmp20:polygon">
						　ポリゴン座標列：<xsl:value-of select="jmp20:polygon/jmp20:exterior/jmp20:LinearRing/jmp20:coordinates" /><BR/>
					</xsl:for-each>
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

	<!-- 地理的な記述 -->
	<xsl:if test="count(jmp20:geographicElement/jmp20:EX_GeographicDescription)!=0">
		<xsl:for-each select="jmp20:geographicElement/jmp20:EX_GeographicDescription">
		<TR>
			<TD class="categorycell" colspan="2">　　地理識別子：</TD>
			<TD class="contentscell">
				識別子：<xsl:value-of select="jmp20:geographicIdentifier/jmp20:code" /><BR/>
				<xsl:if test="count(jmp20:geographicIdentifier/jmp20:authority/jmp20:title)!=0">
					　典拠：<xsl:value-of select="jmp20:geographicIdentifier/jmp20:authority/jmp20:title" />　
					　<xsl:apply-templates select="jmp20:geographicIdentifier/jmp20:authority/jmp20:date/jmp20:dateType" />：
					<xsl:value-of select="jmp20:geographicIdentifier/jmp20:authority/jmp20:date/jmp20:date" />
				</xsl:if>
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

	<!-- 垂直範囲 -->
	<xsl:if test="count(jmp20:verticalElement/jmp20:EX_VerticalExtent)!=0">
		<xsl:for-each select="jmp20:verticalElement/jmp20:EX_VerticalExtent">
		<TR>
			<TD class="categorycell" colspan="2">　　垂直範囲：</TD>
			<TD class="contentscell">
					垂直原子：<xsl:value-of select="jmp20:verticalDatum/jmp20:SC_VerticalDatum/jmp20:datumID/jmp20:code" /><BR/>
					　最小値：<xsl:value-of select="jmp20:minimumValue" />　<xsl:value-of select="jmp20:unitOfMeasure/jmp20:name"/><BR/>
					　最大値：<xsl:value-of select="jmp20:maximumValue" />　<xsl:value-of select="jmp20:unitOfMeasure/jmp20:name"/>
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

	<!-- 時間範囲 -->
	<xsl:if test="count(jmp20:temporalElement/jmp20:EX_TemporalExtent)!=0">
		<xsl:for-each select="jmp20:temporalElement/jmp20:EX_TemporalExtent">
		<TR>
			<TD class="categorycell" colspan="2">　　時間範囲：</TD>
			<TD class="contentscell">
					期間の始まり：<xsl:value-of select="jmp20:extent/jmp20:beginEnd/jmp20:begin" /><BR/>
					期間の終わり：<xsl:value-of select="jmp20:extent/jmp20:beginEnd/jmp20:end" />
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

	</xsl:template>
<!-- EX_EXTENT -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<!-- 品質情報 -->
<xsl:template match="jmp20:dataQualityInfo/jmp20:DQ_DataQuality">

<HR class="separator1" />

<DIV class="center">
<TABLE class="search">
<TR>
	<TD class="table_header">品質情報　[DQ_DataQuality]

	<xsl:for-each select=".">

	<DIV class="right">
	<TABLE>
	<!--適用範囲 -->
		<TR>
			<TD class="categorycell2" rowspan="2">適用範囲：</TD>
			<TD class="categorycell3">レベル：</TD>
			<TD class="contentscell">
				<xsl:apply-templates select = "jmp20:scope/jmp20:level" />
			</TD>
		</TR>

			<TR>
				<TD class="categorycell3">レベル記述：</TD>
				<TD class="contentscell">
					<xsl:apply-templates select = "jmp20:scope/jmp20:levelDescription" />
				</TD>
			</TR>

	<!-- 範囲 -->
	<xsl:apply-templates select="jmp20:scope/jmp20:extent"/>

	<!-- 報告 -->
	<xsl:if test="count(jmp20:report)!=0">
		<xsl:apply-templates select="jmp20:report"/>
	</xsl:if>

	<!--系譜 -->
	<xsl:if test="count(jmp20:lineage)!=0">
		<TR>
			<TD class="categorycell3" colspan="2">系譜情報：</TD>
			<TD class="contentscell">
				<xsl:value-of select="jmp20:lineage/jmp20:LI_Lineage/jmp20:statement" />
			</TD>
		</TR>
	</xsl:if>

	</TABLE>
	</DIV>

	</xsl:for-each>

	</TD>
</TR>


</TABLE>
</DIV>

</xsl:template>
<!-- //品質情報 -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<!-- 報告 -->
<xsl:template match="jmp20:report/jmp20:DQ_Element">
<xsl:for-each select=".">

		<TR>
			<TD class="categorycell2" colspan="3">報告</TD>
		</TR>
		
		<TR>
			<TD class="categorycell" colspan="2">　　評価手法の記述：</TD>
			<TD class="contentscell">
					<xsl:value-of select="jmp20:evaluationMethodDescription" />
			</TD>
		</TR>
		<TR>
			<TD class="categorycell" colspan="2">　　品質評価型：</TD>
			<TD class="contentscell">
					<xsl:apply-templates select="jmp20:typeOfQualityEvaluation" />
<!--
					<xsl:value-of select="otherTypeQuanEval" />
-->
			</TD>
		</TR>

	<!-- 適合性の結果 -->
	<xsl:if test="count(jmp20:result/jmp20:DQ_ConformanceResult)!=0">
		<xsl:for-each select="jmp20:result/jmp20:DQ_ConformanceResult">
		<TR>
			<TD class="categorycell" colspan="2">　　適合性の結果：</TD>
			<TD class="contentscell">
					適合性に関する仕様/題名：<xsl:value-of select="jmp20:specification/jmp20:title" /><BR/>
					　　<xsl:apply-templates select="jmp20:specification/jmp20:date/jmp20:dateType" />：
					<xsl:apply-templates select="jmp20:specification/jmp20:date/jmp20:date" /><BR/>
					適合性に関する説明：<xsl:value-of select="jmp20:explanation" /><BR/>
					適合性の合否：<xsl:apply-templates select="jmp20:pass" /><BR/>
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

	<!-- 定量的な結果 -->
	<xsl:if test="count(jmp20:result/jmp20:DQ_QuantitativeResult)!=0">
		<xsl:for-each select="jmp20:result/jmp20:DQ_QuantitativeResult">
		<TR>
			<TD class="categorycell" colspan="2">　　定量的結果：</TD>
			<TD class="contentscell">
				<xsl:if test="count(jmp20:errorStatistic)!=0">
					データ品質評価統計手法：　<xsl:value-of select="jmp20:errorStatistic" /><BR/>
				</xsl:if>
				<xsl:for-each select="jmp20:value">
					データ品質評価値：　<xsl:value-of select="." /><BR/>
				</xsl:for-each>
					　　評価値の単位/単位の名称：　<xsl:value-of select="jmp20:valueUnit/jmp20:name" /><BR/>
				<xsl:if test="count(jmp20:valueUnit/jmp20:measurementType)!=0">
					　　評価値の単位/単位の種類：　<xsl:apply-templates select="jmp20:valueUnit/jmp20:measurementType" /><BR/>
				</xsl:if>
			</TD>
		</TR>
		</xsl:for-each>
	</xsl:if>

</xsl:for-each>
</xsl:template>
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->



<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<!-- 配布情報 -->
<xsl:template match="jmp20:distributionInfo/jmp20:MD_Distribution">

<HR class="separator1" />

<DIV class="center">
<TABLE class="search">
<TR>
	<TD class="table_header">配布情報　[MD_Distribution]

	<xsl:for-each select=".">

	<DIV class="right">
	<TABLE>
	<!--フォーマット -->
		<TR>
			<TD class="categorycell2">配布形式</TD>
			<TD class="categorycell3">交換形式名称：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:distributionFormat/jmp20:MD_Format">
					<xsl:value-of select="jmp20:name" />
					（版：<xsl:value-of select="jmp20:version" />）<BR/>
				</xsl:for-each>
			</TD>
		</TR>

	<!--オンライン -->
		<TR>
			<TD class="categorycell2" rowspan="2">交換任意選択</TD>
			<TD class="categorycell3">オンライン：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:transferOptions/jmp20:MD_DigitalTransferOptions/jmp20:onLine">
						<a target="_blank">
							<xsl:attribute name="href">
								<xsl:value-of select="jmp20:linkage" />
							</xsl:attribute>
							<xsl:value-of select="jmp20:linkage" />
						</a>
						<xsl:if test="count(jmp20:description)!=0">
							　（<xsl:value-of select="jmp20:description"/>）
						</xsl:if>
						<BR/>
				</xsl:for-each>
			</TD>
		</TR>

		<xsl:if test="count(jmp20:transferOptions/jmp20:MD_DigitalTransferOptions/jmp20:offLine)!=0">
		<TR>
			<TD class="categorycell3">オフライン：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:transferOptions/jmp20:MD_DigitalTransferOptions/jmp20:offLine">
					<xsl:if test="count(jmp20:name)!=0">
						媒体名称：　<xsl:apply-templates select="jmp20:name" /><BR/>
					</xsl:if>
					<!--
					<xsl:if test="count(otherMedName)!=0">
						その他の媒体名称：　<xsl:value-of select="otherMedName" /><BR/>
					</xsl:if>
					-->
					<xsl:if test="count(jmp20:mediumNote)!=0">
						備考：　<xsl:value-of select="jmp20:mediumNote" />
					</xsl:if>
				</xsl:for-each>
			</TD>
		</TR>
		</xsl:if>

	</TABLE>
	</DIV>
	</xsl:for-each>

	</TD>
</TR>
</TABLE>
</DIV>

</xsl:template>
<!-- //配布情報 -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->
<!-- 参照系情報 -->
<xsl:template match="jmp20:referenceSystemInfo">

<HR class="separator1" />

<DIV class="center">
<TABLE class="search">
<TR>
	<TD class="table_header">参照系情報

	<xsl:for-each select=".">

	<DIV class="right">
	<TABLE>
	<!--参照系識別子 -->
		<TR>
			<TD class="categorycell">識別子：</TD>
			<TD class="contentscell">
				<xsl:value-of select="jmp20:MD_ReferenceSystem/jmp20:referenceSystemIdentifier/jmp20:code" /><BR/>
			</TD>
		</TR>

		<TR>
			<TD class="categorycell">典拠：</TD>
			<TD class="contentscell">
				題名：<xsl:value-of select="jmp20:MD_ReferenceSystem/jmp20:referenceSystemIdentifier/jmp20:authority/jmp20:title" /><BR/>
				<xsl:for-each select="jmp20:MD_ReferenceSystem/jmp20:referenceSystemIdentifier/jmp20:authority/jmp20:date">
					　<xsl:apply-templates select="jmp20:dateType" />：
					<xsl:value-of select="jmp20:date" /><BR/>
				</xsl:for-each>
			</TD>
		</TR>

	</TABLE>
	</DIV>
	</xsl:for-each>

	</TD>
</TR>
</TABLE>
</DIV>

</xsl:template>
<!-- //参照系情報 -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->

<!-- Template 	+++++++++++++++++++++++++++++++++++++++++++++++++++++	-->

<xsl:template match="jmp20:contact">
	<xsl:call-template name="CI_ResponsibleParty2"/>
</xsl:template>

<xsl:template match="jmp20:pointOfContact">
	<xsl:call-template name="CI_ResponsibleParty"/>
</xsl:template>

<!-- 問合せ先 -->
<xsl:template name="CI_ResponsibleParty">
	<xsl:for-each select=".">

		<TR>
			<TD class="categorycell2" rowspan="9">問合せ先</TD>
			<TD class="categorycell3">組織名、個人名、役職名：</TD>
			<TD class="contentscell">
				<xsl:value-of select="jmp20:organisationName" />　
				<xsl:value-of select="jmp20:individualName" />　
				<xsl:value-of select="jmp20:positionName" />　
			</TD>
		</TR>
		
		<TR>
			<TD class="categorycell3">電話番号：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:contactInfo/jmp20:phone/jmp20:voice">
					<xsl:value-of select="." /><BR/>
				</xsl:for-each>
			</TD>
		</TR>
		<TR>
			<TD class="categorycell3">ファクシミリ番号：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:contactInfo/jmp20:phone/jmp20:facsimile">
					<xsl:value-of select="." /><BR/>
				</xsl:for-each>
			</TD>
		</TR>

		<TR>
			<TD class="categorycell3">住所：</TD>
			<TD class="contentscell">
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:postalCode" /><BR/>
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:administrativeArea" />　
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:city" />　
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:deliveryPoint" />　、
				<xsl:apply-templates select="jmp20:contactInfo/jmp20:address/jmp20:country" />
			</TD>
		</TR>

	<!--メールアドレス-->
		<TR>
			<TD class="categorycell3">電子メールアドレス：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:contactInfo/jmp20:address/jmp20:electronicMailAddress">
						<a>
							<xsl:attribute name="href">
								mailto:<xsl:value-of select="." />
							</xsl:attribute>
							<xsl:value-of select="." /><BR/>
						</a>
				</xsl:for-each>
			</TD>
		</TR>

		<TR>
			<TD class="categorycell3">オンライン情報資源：</TD>
			<TD class="contentscell">
				<a target="_blank">
					<xsl:attribute name="href">
						<xsl:value-of select="jmp20:contactInfo/jmp20:onlineResource/jmp20:linkage" />
					</xsl:attribute>
					<xsl:value-of select="jmp20:contactInfo/jmp20:onlineResource/jmp20:linkage" />
				</a>
				<xsl:if test="count(jmp20:contactInfo/jmp20:onlineResource/jmp20:description)!=0">
					　（<xsl:value-of select="jmp20:contactInfo/jmp20:onlineResource/jmp20:description"/>）
				</xsl:if>
				<BR/>
			</TD>
		</TR>
		<TR>
			<TD class="categorycell3">案内時間：</TD>
			<TD class="contentscell">
				<xsl:apply-templates select = "jmp20:contactInfo/jmp20:hoursOfService" />
			</TD>
		</TR>
		<TR>
			<TD class="categorycell3">問合せのための手引き：</TD>
			<TD class="contentscell">
				<xsl:apply-templates select = "jmp20:contactInfo/jmp20:contactInstructions" />
			</TD>
		</TR>

		<TR>
			<TD class="categorycell3">役割：</TD>
			<TD class="contentscell">
				<xsl:apply-templates select = "jmp20:role" />
			</TD>
		</TR>

	</xsl:for-each>

</xsl:template>
<xsl:template name="CI_ResponsibleParty2">
	<xsl:for-each select=".">

		<TR>
			<TD class="categorycell2" rowspan="9">問合せ先</TD>
			<TD class="categorycell3">組織名：</TD>
			<TD class="contentscell">
				<xsl:value-of select="jmp20:organisationName" />　
			</TD>
		</TR>
		
		<TR>
			<TD class="categorycell3">電話番号：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:contactInfo/jmp20:phone/jmp20:voice">
					<xsl:value-of select="." /><BR/>
				</xsl:for-each>
			</TD>
		</TR>
		<TR>
			<TD class="categorycell3">ファクシミリ番号：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:contactInfo/jmp20:phone/jmp20:facsimile">
					<xsl:value-of select="." /><BR/>
				</xsl:for-each>
			</TD>
		</TR>

		<TR>
			<TD class="categorycell3">住所：</TD>
			<TD class="contentscell">
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:postalCode" /><BR/>
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:administrativeArea" />　
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:city" />　
				<xsl:value-of select="jmp20:contactInfo/jmp20:address/jmp20:deliveryPoint" />　、
				<xsl:apply-templates select="jmp20:contactInfo/jmp20:address/jmp20:country" />
			</TD>
		</TR>

	<!--メールアドレス-->
		<TR>
			<TD class="categorycell3">電子メールアドレス：</TD>
			<TD class="contentscell">
				<xsl:for-each select="jmp20:contactInfo/jmp20:address/jmp20:electronicMailAddress">
						<a>
							<xsl:attribute name="href">
								mailto:<xsl:value-of select="." />
							</xsl:attribute>
							<xsl:value-of select="." /><BR/>
						</a>
				</xsl:for-each>
			</TD>
		</TR>

		<TR>
			<TD class="categorycell3">オンライン情報資源：</TD>
			<TD class="contentscell">
				<a target="_blank">
					<xsl:attribute name="href">
						<xsl:value-of select="jmp20:contactInfo/jmp20:onlineResource/jmp20:linkage" />
					</xsl:attribute>
					<xsl:value-of select="jmp20:contactInfo/jmp20:onlineResource/jmp20:linkage" />
				</a>
				<xsl:if test="count(jmp20:contactInfo/jmp20:onlineResource/jmp20:description)!=0">
					　（<xsl:value-of select="jmp20:contactInfo/jmp20:onlineResource/jmp20:description"/>）
				</xsl:if>
				<BR/>
			</TD>
		</TR>
		<TR>
			<TD class="categorycell3">案内時間：</TD>
			<TD class="contentscell">
				<xsl:apply-templates select = "jmp20:contactInfo/jmp20:hoursOfService" />
			</TD>
		</TR>
		<TR>
			<TD class="categorycell3">問合せのための手引き：</TD>
			<TD class="contentscell">
				<xsl:apply-templates select = "jmp20:contactInfo/jmp20:contactInstructions" />
			</TD>
		</TR>

		<TR>
			<TD class="categorycell3">役割：</TD>
			<TD class="contentscell">
				<xsl:apply-templates select = "jmp20:role" />
			</TD>
		</TR>

	</xsl:for-each>

</xsl:template>
<!-- //問合せ先 -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++	Template	-->


</xsl:stylesheet>

